> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.phonic.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.phonic.ai/_mcp/server.

# Get Webhooks Id Secret

GET https://api.phonic.ai/v1/webhooks/{id}/secret

Returns the secret used to sign the webhook's requests.

Requires an API key with workspace access, or an access token. An API
key restricted to selected projects can only get the secret of a
webhook whose projects are all within its scope.


Reference: https://docs.phonic.ai/api-reference/get-webhooks-id-secret

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication header of the form `Bearer <PHONIC_API_KEY>`. Manage your API keys [here](https://phonic.co/api-keys).

## Request

### Path parameters

- `id` (string, required) — The ID of the webhook.

## Response

### 200

Success response

- `signing_secret` (string, required) — The webhook's signing secret.

## Errors

### 401 Unauthorized Error

Unauthorized (authentication missing or invalid, or not an API key or access token)

- `error` (BasicErrorError, optional)

### 403 Forbidden Error

The API key does not have workspace access, or the webhook has projects outside the API key's scope.

- `error` (BasicErrorError, optional)

### 404 Not Found Error

Webhook not found

- `error` (BasicErrorError, optional)

### 500 Internal Server Error

Internal server error

- `error` (BasicErrorError, optional)

## Types

### BasicErrorError

- `message` (string, required) — Error message
- `code` (string, optional) — Error code

## Examples

**Response**

```json
{
  "signing_secret": "whsec_c2VjcmV0LWV4YW1wbGUtdmFsdWUtMTIz"
}
```

**SDK Code**

```python getWebhooksIdSecret_example
import requests

url = "https://api.phonic.ai/v1/webhooks/id/secret"

headers = {"Authorization": "Bearer <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript getWebhooksIdSecret_example
const url = 'https://api.phonic.ai/v1/webhooks/id/secret';
const options = {method: 'GET', headers: {Authorization: 'Bearer <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getWebhooksIdSecret_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.phonic.ai/v1/webhooks/id/secret"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getWebhooksIdSecret_example
require 'uri'
require 'net/http'

url = URI("https://api.phonic.ai/v1/webhooks/id/secret")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <apiKey>'

response = http.request(request)
puts response.read_body
```

```java getWebhooksIdSecret_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.phonic.ai/v1/webhooks/id/secret")
  .header("Authorization", "Bearer <apiKey>")
  .asString();
```

```php getWebhooksIdSecret_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.phonic.ai/v1/webhooks/id/secret', [
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp getWebhooksIdSecret_example
using RestSharp;

var client = new RestClient("https://api.phonic.ai/v1/webhooks/id/secret");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift getWebhooksIdSecret_example
import Foundation

let headers = ["Authorization": "Bearer <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.phonic.ai/v1/webhooks/id/secret")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```